# exception_ptr.h File Reference

Go to the source code of this file.

## Classes

- class std::__exception_ptr::exception_ptr
    An opaque pointer to an arbitrary exception. More...

## Namespaces

- namespace std

## Functions

- template<typename _Ex > exception_ptr std::copy_exception (_Ex __ex) throw ()
- exception_ptr std::current_exception () throw ()
- bool std::__exception_ptr::operator!= (const exception_ptr &, const exception_ptr &) __attribute__((__pure__)) throw ()
- bool std::__exception_ptr::operator== (const exception_ptr &, const exception_ptr &) __attribute__((__pure__)) throw ()
- void std::rethrow_exception (exception_ptr) __attribute__((__noreturn__))

## Detailed Description

This is an internal header file, included by other headers and the implementation. You should not attempt to use it directly.

Definition in file exception_ptr.h.